package com.grkj.iscs_mc.view.fragment

import com.grkj.iscs_mc.databinding.FragmentExceptionReportBinding
import com.grkj.iscs_mc.extentions.navigateUp
import com.grkj.iscs_mc.view.base.BaseMvpFragment
import com.grkj.iscs_mc.view.iview.IExceptionReportView
import com.grkj.iscs_mc.view.presenter.ExceptionReportPresenter

/**
 * 异常上报页
 */
class ExceptionReportFragment :
    BaseMvpFragment<IExceptionReportView, ExceptionReportPresenter, FragmentExceptionReportBinding>() {

    override val viewBinding: FragmentExceptionReportBinding
        get() = FragmentExceptionReportBinding.inflate(layoutInflater)

    override fun initView() {
        mBinding?.cbBack?.setOnClickListener { navigateUp() }
    }

    override fun initPresenter(): ExceptionReportPresenter {
        return ExceptionReportPresenter()
    }
}